# https://docs.gitlab.com/ee/user/clusters/agent/work_with_agent.html#debug-the-agent
observability:
  logging:
    level: debug

# pull based GitOps
# https://docs.gitlab.com/ee/user/clusters/agent/gitops.html
gitops:
  manifest_projects:
  - id: everyonecancontribute/observability/k8s-o11y-chaos
    paths:
    # App: C++ DNS Leaker deployment
    - glob: '/kubernetes/o11y/cpp-dns-leaker/*.yaml'
    # Cluster container scanning
    - glob: '/kubernetes/sec/*.yaml'

# Disabled for now
# operational container scanning
# https://docs.gitlab.com/ee/user/clusters/agent/vulnerabilities.html
#starboard:
#  cadence: '0 0 * * *' # Daily at 00:00 (Kubernetes cluster time)
  #cadence: '*/5 * * * *' # for testing
